MetricSetControllerAddCountMeasureToMetricSet Method |
POST /MetricSet/AddCountMeasure/{id}
Adds the count measure to the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddCountMeasure")]
public IActionResult AddCountMeasureToMetricSet(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddCountMeasure")>
Public Function AddCountMeasureToMetricSet (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddCountMeasure")]
IActionResult^ AddCountMeasureToMetricSet(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddCountMeasure")>]
member AddCountMeasureToMetricSet :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to add the count measure to. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also